From 56ae41b168b75b7fc036a68e08802de3b2cb4cb2 Mon Sep 17 00:00:00 2001
From: "Leo C. Stein" <leo.stein@gmail.com>
Date: Sun, 1 Dec 2024 12:49:46 -0600
Subject: [PATCH] BibTeX-mode: add eprint field as potential source for entry's
 URL

---
 lisp/textmodes/bibtex.el | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/lisp/textmodes/bibtex.el b/lisp/textmodes/bibtex.el
index 99a97c9bb8d..c77953489a7 100644
--- a/lisp/textmodes/bibtex.el
+++ b/lisp/textmodes/bibtex.el
@@ -1443,6 +1443,9 @@ Used by `bibtex-complete-crossref-cleanup' and `bibtex-copy-summary-as-kill'."
 
 (defcustom bibtex-generate-url-list
   '((("url" . ".*:.*"))
+    (("eprint" . ".*")
+     "https://arxiv.org/abs/%s"
+     ("eprint" ".*" 0))
     (("doi" . "10\\.[0-9]+/.+")
      "https://doi.org/%s"
      ("doi" ".*" 0)))
-- 
2.47.0

